import { AbstractControl, ValidatorFn } from '@angular/forms';
import { RequiredCheckResult } from '../interfaces/RequiredCheckResult';
import { DateValidationResult } from '../interfaces/DateValidationResult';
import { UniqueValidationResult } from '../interfaces/UniqueValidationResult';
/** @dynamic */
export declare abstract class AnjunaValidators {
    static date(c: AbstractControl): DateValidationResult | null;
    static requiredCheck(c: AbstractControl): RequiredCheckResult | null;
    static unique(c: AbstractControl): UniqueValidationResult | null;
    static minDate: (min: Date) => ValidatorFn;
    static maxDate: (max: Date) => ValidatorFn;
}
